<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>Matches_per_year</title>
</head>
<body>
  <div id="container"></div>
  <script src="https://code.highcharts.com/highcharts.src.js"></script>
  <script>

async function getData()
{
   let response= await fetch('http://127.0.0.1:8000/iplapp/questions/one')
   data=await response.json();
   const arr= data.map(val=>{
          return Object.values(val)
   })
       console.log(arr);
       return arr

}
async function graph(){
    let result = await getData();
    Highcharts.chart('container', {
    chart: {
      type: 'column'
    },
    title: {
      text: 'Matches vs Season'
    },
    xAxis: {
      type: 'category',
      title:{
          text: 'Season',
          style:{
            fontSize: '20px',
            color:'black',
          }
      },
      labels: {
        rotation: -45,
        style: {
          fontSize: '15px',
          fontFamily: 'Verdana, sans-serif'
        }
      }
    },
    yAxis: {
      min: 0,
      title: {
        text: 'Matches',
        style:{
            fontSize: '20px',
            color:'black',
          }
      }
    },
    legend: {
      enabled: false
    },
    series: [{
      name: 'Matches',
      data: result,
      dataLabels: {
        enabled: true,
        rotation: -90,
        color: '#FFFFFF',
        align: 'right',
        // format: '{point.y:.f}', // one decimal
        y: 10, // 10 pixels down from the top
        style: {
          fontSize: '15px',
          fontFamily: 'Verdana, sans-serif'
        }
      }
    }]
});
    }
    graph()
  </script>
</body>
</html>